#!/bin/sh

cd `dirname $0`
source `dirname $0`/testvars.sh
export PATH=`cd $TESTREPO_DIR; echo $PWD`:$PATH

if test -d libpkgmgr-dbus-qt; then
    LD_LIBRARY_PATH=../libpkgmgr-dbus-qt/.libs:$LD_LIBRARY_PATH
    TEST="meego-run libpkgmgr-dbus-qt/test-libpkgmgr-dbus-qt"
else
    TEST=/usr/lib/package-manager-tests/test-libpkgmgr-dbus-qt
fi

set -e

setup() {
    if test "x$_SBOX_DIR" != "x"; then
	meego-sb-session -quiet start
    fi
    setup-testrepo
    apt-get install -y --force-yes hpm-user-files </dev/null
    start-pkgmgrd
}

cleanup() {
    trap - INT TERM EXIT
    echo $0: error, cleanup
    stop-pkgmgrd
    exit 1
}

trap cleanup INT TERM EXIT
setup
export HPM_TESTREPO_DIR=$REPODIR
$TEST $*
stop-pkgmgrd

trap - INT TERM EXIT
