#!/bin/sh

D=`dirname $0`
source $D/testvars.sh

PACKAGENAME=testpackage
CONFFILES="/etc/testpackage/configuration.conf"
if test -x $D/../cli/pkgmgr; then
    PKGMGR=$D/../cli/pkgmgr
    TEST_DIR=$D
else
    PKGMGR=/usr/bin/pkgmgr
    TEST_DIR=/usr/share/package-manager-tests
fi

start_package_manager()
{
  if [ -f $TEST_DIR/start_pkgmgrd.sh ]; then
    $TEST_DIR/start_pkgmgrd.sh
  else
    start-pkgmgrd
  fi 
}

exit_test()
{
  if [ -f $TEST_DIR/stop_pkgmgrd.sh ]; then
    $TEST_DIR/stop_pkgmgrd.sh
  else
    stop-pkgmgrd
  fi
  exit "$1"
}

start_package_manager

if [ -f $TEST_DIR/test-package-1.0.deb ]; then
  PACKAGE=$TEST_DIR/test-package-1.0.deb
else
  PACKAGE=testpackages/test-package-1.0.deb
fi

is_installed=`${PKGMGR} list-installed |grep ${PACKAGENAME}`

if [ ! "$is_installed" = "" ]; then
    ${PKGMGR} uninstall -p ${PACKAGENAME}
fi

${PKGMGR} install-file -f ${PACKAGE}

for configuration_file in $CONFFILES; do
    if [ ! -f $configuration_file ]; then
	echo "configuration file ($configuration_file) does not exist"
	exit_test 1;
    fi
done

${PKGMGR} uninstall -p ${PACKAGENAME}

for configuration_file in $CONFFILES; do
    if [ -f $configuration_file ]; then
	echo "configuration file ($configuration_file) still remains on system"
	exit_test 1;
    fi
done

exit_test 0



